#
# spec file for package horde (Version 3.1.9)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl apache2 apache2-devel apache2-prefork apache2-utils attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs cyrus-sasl diffutils ed file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libapr-util1 libapr-util1-devel libapr1 libapr1-devel libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libnscd libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openldap2-client openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions popt post-build-checks pwdutils rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           horde
%if %suse_version >= 1010
%define _phpdir php5
%else
%define _phpdir php
%endif
BuildRequires:  apache2-devel pcre-devel
License:        GPL v2 or later
Group:          Productivity/Networking/Web/Utilities
AutoReqProv:    on
Requires:       mod_php_any php-gettext php-mcrypt php-imap php-pear php-pear-log php-session php-dom php php-pear-auth_sasl php-pear-date php-pear-db php-pear-file php-pear-mail php-pear-mail_mime
Version:        3.1.9
Release:        0.1
Source0:        %{name}-%{version}.tar.gz
Source2:        README.SuSE
############################
# domxml php4 - php5 wrapper
# Written by Alexandre Alapetite
# Licence: Creative Commons "Attribution-ShareAlike 2.0 France" BY-SA (FR)
# http://alexandre.alapetite.net/doc-alex/domxml-php4-php5
Source3:        domxml-php4-to-php5.php
############################
Patch0:         horde-3.1.2-log.patch
Patch1:         horde-3.1.2-kolab_php-php5.patch
Patch2:         horde-3.1.2-kolab_php-reference.patch
Patch3:         horde-3.1.3-usr_local.patch
Patch4:         horde-3.1.4-CVE-2008-5917.patch
Patch5:         horde-3.1.4-horde_image_driver_vuln.patch
Url:            http://www.horde.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Summary:        Core Pieces for Running Horde Web Applications

%description
These are the core pieces of the Horde suite of Web applications. This
package is needed to run any of the other programs, such as IMP.



Authors:
--------
    Chuck Hagenbuch <chuck@horde.org>
    Jason "ZeroDiViDe" Orcutt <zerodiv@zerodivide.net>
    Mike Hardy <mike@itsprojects.com>
    Ivan E. Moore II <rkrusty@tdyc.com>

%define serverroot %(/usr/sbin/apxs2 -q datadir)/htdocs/
%define apache_horde      %serverroot/horde
%debug_package

%prep
%setup -q 
%patch0
%patch3
%if %suse_version >= 1010
# kolab-specific
%patch1 -p1
%patch2 -p1
%__cp %{S:3} lib/Horde
%endif
%__cp -a %{S:2} .
%patch4
%patch5

%build
: if the following command fails, then apache dependencies are not met
/usr/sbin/apxs2 -q datadir >/dev/null
cd config
for i in *.dist; do %__cp $i ${i%.dist}; done

%install
%__mkdir_p %{buildroot}%{apache_horde}
%__cp -r ./* %{buildroot}%{apache_horde}
cd %{buildroot}%{apache_horde}
%__rm -rf docs po COPYING README README*
%__install -d %{buildroot}/var/log/horde
%__install -d %{buildroot}/usr/share/%{_phpdir}
%__ln_s %{apache_horde}/lib/Horde{,.php} $RPM_BUILD_ROOT/usr/share/%{_phpdir}
find %{buildroot} -name "*.orig" -exec rm -fv {} +

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING docs README.SuSE
%dir %{apache_horde}
%{apache_horde}/admin
%{apache_horde}/js
%{apache_horde}/lib
%{apache_horde}/locale
%{apache_horde}/scripts
%{apache_horde}/services
%{apache_horde}/templates
%{apache_horde}/themes
%{apache_horde}/util
%{apache_horde}/*.php
%attr(0750, wwwrun, www) %dir %{apache_horde}/config
%attr(0640, root, www) %config(noreplace) %{apache_horde}/config/.htaccess
%attr(0640, wwwrun, www) %config(noreplace) %{apache_horde}/config/*
%attr(0750, wwwrun, www) %dir /var/log/horde
%dir %{_datadir}/%{_phpdir}
%{_datadir}/%{_phpdir}/Horde*

%changelog
* Thu Mar 12 2009 - crrodriguez@suse.de
- minor security update from 3.1.4 to 3.1.9 and backported fixes
  for bnc #348297,  bnc#467887 , bnc#470086
* Wed Nov 19 2008 - crrodriguez@suse.de
- security update
  * CVE-2008-1284 [BNC#368593]
  * CVE-2008-3330 [BNC#412566]
  * CVE-2008-3824 [BNC#423520]
* Thu Mar 15 2007 - anosek@suse.cz
- updated to version 3.1.4
  * Correctly quote file names in cleanup script for temporary files.
  * Detect unencrypted PGP messages.
- dropped obsolete php5_exec.patch
* Mon Sep 11 2006 - mmarek@suse.cz
- refreshed kolab_php-reference.patch
- added /usr/share/php5 to filelist
- fixed %%-escaping in changelog
* Thu Aug 24 2006 - Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 3.1.3
- added patch4 (horde-3.1.3-usr_local.patch) and patch5
  (horde-3.1.3-php5_exec.patch)
- merged horde-3.1.2-return.patch into horde-3.1.2-kolab_php-reference.patch
* Sun Jul 09 2006 - Marcus Hüwe <suse-tux@gmx.de>
- some small fixes
* Thu Jul 06 2006 - Marcus Hüwe <suse-tux@gmx.de>
- fixed horde-log patch
* Wed Jul 05 2006 - Marcus Hüwe <suse-tux@gmx.de>
- new upstream version 3.1.2
- modified patches so that they apply without hunks..
* Wed Jun 21 2006 - Marcus Hüwe <suse-tux@gmx.de>
- added horde-3.1.1-return.patch
- added domxml-php4-to-php5.php wrapper, written by Alexandre Alapetite (http://alexandre.alapetite.net/doc-alex/domxml-php4-php5/), otherwise Kolab won't work with php5
- added patches from Gunnar Wrobel <wrobel_AT_gentoo.org> (http://gunnarwrobel.de/downloads/horde), which let horde working with kolab and php5 (%%patch1 and %%patch2). Thanks!!
* Sat Jun 17 2006 - Marcus Hüwe <suse-tux@gmx.de>
- updated to version 3.1.1
- "fixed" Requires (changed "php5-pear-mail" to "php-pear-mail" etc.)
- removed patch2 and patch3 (they aren't required anymore)
- removed #usedforbuild, removed php5 and libapr-util1-devel from BuildRequires
- added rpmmacros (changed "cp" to "%%__cp" etc.)
* Wed Apr 05 2006 - mmarek@suse.cz
- fix displaying arbitrary files in services/go.php
  [#163681] (CVE-2006-1260.patch)
* Mon Apr 03 2006 - mmarek@suse.cz
- make the Horde library available to external applications
  [#159337]
* Wed Mar 29 2006 - mmarek@suse.cz
- fix insecure eval() calls (backport from 3.0.10 release)
  [#161768] (eval.patch)
* Mon Mar 27 2006 - mmarek@suse.cz
- require php-dom, which is needed by the configuration tool
  [#159335]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 - mmarek@suse.cz
- use the new php5-pear-* packages
- use /var/log/horde/ for logging
- make horde/config/ writable by wwwrun to allow administration via
  web form
* Tue Jan 03 2006 - mmarek@suse.cz
- check for working apxs2 in %%build
- use %%config(noreplace)
* Thu Dec 15 2005 - mmarek@suse.cz
- update to 3.0.9
- make horde work with php5
- changed architecture to noarch
* Mon Nov 28 2005 - mmarek@suse.cz
- update to 3.0.7 to fix CVE-2005-3759 -- XSS in MIME viewers
  [#135277]
* Mon Sep 05 2005 - mmarek@suse.cz
- add php4-pear-log to requires (#114398)
* Wed Aug 24 2005 - mmarek@suse.cz
- added php4-pear and php4-session to requires
* Fri Aug 05 2005 - postadal@suse.cz
- update to 3.0.5
* Tue Aug 02 2005 - anicka@suse.cz
- update to 3.0.5-rc2
* Wed May 11 2005 - mcihar@suse.cz
- update to 3.0.4
* Tue Feb 08 2005 - mcihar@suse.cz
- update to 3.0.2
- no root for build
* Tue Apr 27 2004 - ro@suse.de
- build using apache2
* Tue Mar 30 2004 - tcrhak@suse.cz
- removed php4-xml from requires
* Mon Mar 29 2004 - tcrhak@suse.cz
- fixed requires
* Wed Feb 25 2004 - tcrhak@suse.cz
- update to version 2.2.5
* Wed Aug 13 2003 - tcrhak@suse.cz
- update to version 2.2.3
* Wed Jul 30 2003 - poeml@suse.de
- mark the config files %%config / %%config(noreplace)
- make config dir non-world-readable
* Thu Jun 12 2003 - kukuk@suse.de
- Add missing directory to filelist
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Wed Jan 22 2003 - tcrhak@suse.cz
- update to version 2.2
* Thu Oct 24 2002 - okir@suse.de
- security fix for cross-site scripting problems
* Fri Sep 27 2002 - tcrhak@suse.cz
- added fillup_only and related staff
- determine the server root according to what apxs says
- renamed test.php3 to info.php3 in order to enable
  viewing the file
- fixed permissions
- require mod_php4
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Mon Aug 05 2002 - ro@suse.de
- changed server root to /srv/www
* Tue Sep 25 2001 - adostal@suse.cz
- uninstall fix in section %%preun
* Fri Aug 31 2001 - adostal@suse.cz
- create a new stand-alone package (v. 1.2.6)- old versions are
  generated from imapweb package
- create README.SuSE and horde-httpd.conf
